Function
streamEof
Check end-of-file state of a StreamConcept.
streamReadChar(stream)
Include Headers
seqan/stream.h
Parameters

stream | The stream object to read from. Types: StreamConcept

Remarks
Note that the exact behaviour depends on the underlying implementation. With FILE * streams, the stream can be in the end-of-file state from the point where the last character was read or from the point where the user tried to read beyond the end of the file.
Return Values
bool, true if the stream is in end-of-file state, false otherwise.
Part of Concept
StreamConcept
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59